Summary:	Display I/O usage of processes in a top like UI
Name:		iotop
Version:	0.6
Release:	%mkrel 12
License:	GPLv2
Group:		Monitoring
Url:		http://guichaz.free.fr/iotop/
Source0:	http://guichaz.free.fr/iotop/files/%{name}-%{version}.tar.bz2
Patch1:		0001-Fix-build-error-with-Python-3-caused-by-itervalues-i.patch
BuildRequires:	zlib
BuildRequires:	python3-devel
BuildArch:	noarch

%description
iotop is a Python program with a top like UI used to show of behalf of
which process is the I/O going on. It requires a Linux kernel 2.6.20
with TASK_IO_ACCOUNTING enabled.

%prep
%autosetup -p1

%build
%py3_build

%install
%py3_install

%files
%doc NEWS THANKS
%{_sbindir}/%{name}
%{python3_sitelib}/iotop
%{python3_sitelib}/iotop-%{version}-py?.?.egg-info

%{_mandir}/man?/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.6-12.mga8
+ Revision: 1531006
- Mageia 8 Mass Rebuild

* Sun Sep 08 2019 wally <wally> 0.6-11.mga8
+ Revision: 1438441
- rebuild for python3.8

* Fri Aug 30 2019 wally <wally> 0.6-10.mga8
+ Revision: 1435560
- switch to python3

* Tue Sep 18 2018 umeabot <umeabot> 0.6-9.mga7
+ Revision: 1262466
- Mageia 7 Mass Rebuild

* Wed Feb 03 2016 umeabot <umeabot> 0.6-8.mga6
+ Revision: 933830
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6-7.mga5
+ Revision: 751239
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6-6.mga5
+ Revision: 726514
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6-5.mga5
+ Revision: 680532
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 0.6-4.mga5
+ Revision: 628265
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6-3.mga4
+ Revision: 542662
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 pterjan <pterjan> 0.6-2.mga4
+ Revision: 497813
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Jun 06 2013 dams <dams> 0.6-1.mga4
+ Revision: 438354
- fix %%files
- new version 0.6

* Sat Jan 12 2013 umeabot <umeabot> 0.4.4-2.mga3
+ Revision: 354439
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 28 2011 guillomovitch <guillomovitch> 0.4.4-1.mga2
+ Revision: 188391
- new version

* Sun Apr 03 2011 tmb <tmb> 0.4.3-1.mga1
+ Revision: 80001
- update to 0.4.3

* Fri Feb 18 2011 misc <misc> 0.4.2-1.mga1
+ Revision: 53398
- use more standard macro ( ie, the one from rpm.org )
- remove extranous requires ( as python is now merged and autodetected )
- new version
- imported package iotop


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 0.4.1-2mdv2011.0
+ Revision: 590134
- rebuild for python 2.7

* Sun Jul 11 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 0.4.1-1mdv2011.0
+ Revision: 550958
- update to new version 0.4.1

* Tue Jan 19 2010 Frederik Himpe <fhimpe@mandriva.org> 0.4-1mdv2010.1
+ Revision: 493779
- update to new version 0.4

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.2-1mdv2010.0
+ Revision: 448397
- update to new version 0.3.2

* Thu Jun 11 2009 Frederik Himpe <fhimpe@mandriva.org> 0.3.1-1mdv2010.0
+ Revision: 385178
- update to new version 0.3.1

* Sun May 17 2009 trem <trem@mandriva.org> 0.3-1mdv2010.0
+ Revision: 376628
- update to 0.3

* Tue Jan 06 2009 Funda Wang <fwang@mandriva.org> 0.2.1-4mdv2009.1
+ Revision: 326081
- rebuild
- rebuild

* Tue Jan 06 2009 Jérôme Soyer <saispo@mandriva.org> 0.2.1-2mdv2009.1
+ Revision: 325317
- Rebuild for new python

* Sun Jul 27 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.1-1mdv2009.0
+ Revision: 250582
- add missing buildrequires on zlib
- update to new version 0.2.1
- correct the url and source
- fix mixture of tabs and spaces
- spec file clean

* Fri Jul 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0-3mdv2009.0
+ Revision: 238199
- spec cleanup

  + Michael Scherer <misc@mandriva.org>
    - add missing requires on python, as found by guillomovitch

  + Thierry Vignaud <tv@mandriva.org>
    - fix no-buildroot-tag

* Tue Dec 18 2007 Olivier Blin <oblin@mandriva.com> 0-1mdv2008.1
+ Revision: 132091
- build as noarch
- initial iotop package
- create iotop

